Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.navigation.page
Enum Transition.OrientationEnum

    java.lang.Object
      java.lang.Enum<Transition.OrientationEnum>
          org.pdfclown.documents.interaction.navigation.page.Transition.OrientationEnum

All Implemented Interfaces:
  Serializable, Comparable<Transition.OrientationEnum>

Enclosing class:
  Transition

    public static enum Transition.OrientationEnum

extends Enum<Transition.OrientationEnum>

Transition orientation [PDF:1.6:8.3.3].

Enum Constant Summary
`Horizontal` Horizontal.
`Vertical` Vertical.

Method Summary
`static Transition.OrientationEnum` | `get(PdfName value)` Gets the orientation corresponding to the given value.
`PdfName` | `getCode()`
`static Transition.OrientationEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Transition.OrientationEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Horizontal

    public static final Transition.OrientationEnum Horizontal

  Horizontal.

### Vertical

    public static final Transition.OrientationEnum Vertical

  Vertical.

Method Detail

### values

    public static Transition.OrientationEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Transition.OrientationEnum c : Transition.OrientationEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Transition.OrientationEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static Transition.OrientationEnum get(PdfName value)

  Gets the orientation corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.